<?php
/**
* @package DBargain
*/
/**
* Plugin Name: DBargain
* Description: A plugin to increase user engagement and conversion rate by allowing users to do bargaining on selected products
* Version: 3.0.0
* Author: Cloud Primero B.V
* Author URI: http://cloudprimero.com/
* License: GPLv3 or later
* Text Domain: DBargain
*/

defined('ABSPATH') || exit;

// constants
define('DBARGAIN_PLUGIN_PATH', plugin_dir_path(__FILE__));

// require the main file for the plugin logics
require_once DBARGAIN_PLUGIN_PATH . 'include/class-dbargain.php';

// activation
register_activation_hook(__FILE__, array('DBargain', 'activate'));

// deactivation
register_deactivation_hook(__FILE__, array('DBargain', 'deactivate'));

$dbargain = new DBargain();
//start custom session
add_action('init',[$dbargain, 'start_session'] ,1);
