<?php
$messgae_res = null;
if(isset($_REQUEST['_wpnonce']) && wp_verify_nonce( $_REQUEST['_wpnonce'], 'dbargain-settings' ) )
{
    update_option( 'dbargain_session_upper_limit', $_POST['upper_limit'], 'yes' );
    update_option( 'dbargain_session_lower_limit', $_POST['lower_limit'], 'yes' );
    update_option( 'dbargain_bg_color', $_POST['bg_color'], 'yes' );
    update_option( 'dbargain_txt_color', $_POST['txt_color'], 'yes' );
    update_option( 'dbargain_btn_color', $_POST['btn_color'], 'yes' );
    update_option( 'dbargain_heading_font', $_POST['heading'], 'yes' );
    update_option( 'dbargain_text_font', $_POST['text'], 'yes' );
    update_option( 'dbargain_button_font', $_POST['button'], 'yes' );
    update_option( 'dbargain_label_font', $_POST['label'], 'yes' );
    update_option( 'dbargain_window_layout', $_POST['layout'], 'yes' );
    update_option( 'dbargain_display_criteria', $_POST['criteria'], 'yes' );
    update_option( 'dbargain_window_delay', $_POST['delay'], 'yes' );
    update_option( 'dbargain_threshold', $_POST['threshold'], 'yes' );
    update_option( 'dbargain_start_date', $_POST['start_date'], 'yes' );
    update_option( 'dbargain_end_date', $_POST['end_date'], 'yes' );
    update_option( 'dbargain_window_chat_delay', $_POST['chat_delay'], 'yes' );
    update_option( 'dbargain_agent_name', $_POST['agent_name'], 'yes' );

    $messgae_res = "your setting has been updated";

}

$heading_font = get_option('dbargain_heading_font')?get_option('dbargain_heading_font'):'';
$text_font = get_option('dbargain_text_font')?get_option('dbargain_text_font'):'';
$button_font = get_option('dbargain_button_font')?get_option('dbargain_button_font'):'';
$label_font = get_option('dbargain_label_font')?get_option('dbargain_label_font'):'';
$layout = get_option('dbargain_window_layout')?get_option('dbargain_window_layout'):'';
$criteria = get_option('dbargain_display_criteria')?get_option('dbargain_display_criteria'):[];
?>
<div class="wrap">
    <h1 class="wp-heading-inline"> Settings</h1>
    <hr class="wp-header-end">
    <p style="
    color: green;
    font-weight: bold;
    padding: 10px;
    border: green solid;
">This is a Demo of DBargain plugin. Full version can be downloaded from WooCommerce marketplace </p>
    <?php  if($messgae_res != null ){ ?> <p style="
    color: green;
    font-weight: bold;
    padding: 10px;
    border: green solid;
"><?php echo $messgae_res ?> </p> <?php } ?>
    <form name="edit_plaza" action="admin.php?page=dbargain_settings" method="post" id="post">
    
<?php wp_nonce_field( 'dbargain-settings' ); ?>
        <br><br>
        <h2>Session Limit</h2>

        <table class="form-table" role="presentation">
            <tbody>
                <tr class="user-rich-editing-wrap">
                    <th scope="row">Upper Limit</th>
                    <td>
                        <label for="upper_limit"><input type="text" name="upper_limit" id="upper_limit" value="<?php echo get_option('dbargain_session_upper_limit')?get_option('dbargain_session_upper_limit'):''; ?>" class="regular-text">
                            </label>
                    </td>
                </tr>
                <tr class="user-rich-editing-wrap">
                    <th scope="row">Lower Limit</th>
                    <td>
                        <label for="lower_limit"><input type="text" name="lower_limit" id="lower_limit" value="<?php echo get_option('dbargain_session_lower_limit')?get_option('dbargain_session_lower_limit'):''; ?>" class="regular-text">
                        </label>
                    </td>
                </tr>
            </tbody>
        </table>
        <br><br>
        <h2>Global Settings</h2>
        <table class="form-table" role="presentation">
            <tbody>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Threshold (%)</th>
                <td>
                    <label for="threshold"><input type="number" name="threshold" id="threshold" value="<?php echo get_option('dbargain_threshold')?get_option('dbargain_threshold'):''; ?>" class="regular-text">
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Start Date</th><?php echo get_option('dbargain_start_date') ?>
                <td>
                    <label for="start_date"><input type="text" name="start_date" id="start_date" value="<?php echo get_option('dbargain_start_date')?get_option('dbargain_start_date'):''; ?>" class="regular-text datepicker">
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">End Date</th>
                <td>
                    <label for="end_date"><input type="text" name="end_date" id="end_date" value="<?php echo get_option('dbargain_end_date')?get_option('dbargain_end_date'):''; ?>" class="regular-text datepicker">
                    </label>
                </td>
            </tr>
            </tbody>
        </table>
        <br><br>
        <h2>Frontend Window Settings</h2>

        <table class="form-table" role="presentation">
            <tbody>
            <!--
            <tr class="user-rich-editing-wrap">
                <th scope="row">Open Interface via</th>
                <td>
                    <input type="radio" id="popup" name="layout" value="popup" checked="checked" <?php //if($layout=='popup')echo 'checked="checked"';?>>
                    <label for="popup">Popup</label><br>
                    <input type="radio" id="button" name="layout" value="button" <?php if($layout=='button')echo 'checked="checked"';?>>
                    <label for="button">Button</label>
                </td>
            </tr>-->
            <tr class="user-rich-editing-wrap">
                <th scope="row">Display Popup When</th>
                <td>
                    <input type="checkbox" id="exit" name="criteria[]" value="exit" <?php if(in_array('exit',$criteria))echo 'checked="checked"';?>>
                    <label for="exit">User Exit Page</label><br>
                    <input type="checkbox" id="delay" name="criteria[]" value="delay" onclick="jQuery('#time_delay').toggle();jQuery('#chat_time_delay').toggle();" <?php if(in_array('delay',$criteria))echo 'checked="checked"';?>>
                    <label for="delay">User has spent certain time on page</label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap" id="time_delay" <?php if(!in_array('delay',$criteria))echo 'style="display: none"'; ?> >
                <th scope="row">Window Popup delay (seconds)</th>
                <td>
                    <label for="delay"><input type="number" name="delay" id="seconds" value="<?php echo get_option('dbargain_window_delay')?get_option('dbargain_window_delay'):'10'; ?>" class="small-text">
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap" id="chat_time_delay" <?php if(!in_array('delay',$criteria))echo 'style="display: none"'; ?> >
                <th scope="row">Window Chat delay (seconds)</th>
                <td>
                    <label for="chat_delay"><input type="number" name="chat_delay" id="chat_seconds" value="<?php echo get_option('dbargain_window_chat_delay')?get_option('dbargain_window_chat_delay'):'10'; ?>" class="small-text">
                    </label>
                </td>
            </tr>

            <tr class="user-rich-editing-wrap" id="chat_time_delay" >
                <th scope="row">Chat Agent Name</th>
                <td>
                    <label for="agent_name"><input type="text" name="agent_name" id="agent_name" value="<?php echo get_option('dbargain_agent_name')?get_option('dbargain_agent_name'):'Jone D'; ?>" class="regular-text">
                    </label>
                </td>
            </tr>
            </tbody>
        </table>
        <br><br>
        <h2>Color Scheme</h2>

        <table class="form-table" role="presentation">
            <tbody>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Background Color</th>
                <td>
                    <label for="bg_color"><input type="text" name="bg_color" id="bg_color" value="<?php echo get_option('dbargain_bg_color')?get_option('dbargain_bg_color'):''; ?>" class="regular-text cpa-color-picker">
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Text Color</th>
                <td>
                    <label for="txt_color"><input type="text" name="txt_color" id="txt_color" value="<?php echo get_option('dbargain_txt_color')?get_option('dbargain_txt_color'):''; ?>" class="regular-text cpa-color-picker">
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Button Color</th>
                <td>
                    <label for="btn_color"><input type="text" name="btn_color" id="btn_color" value="<?php echo get_option('dbargain_btn_color')?get_option('dbargain_btn_color'):''; ?>" data-default-color="<?php echo get_option('dbargain_btn_color')?get_option('dbargain_btn_color'):''; ?>" class="regular-text cpa-color-picker">
                    </label>
                </td>
            </tr>
            </tbody>
        </table>
        <br><br>
        <h2>Typography</h2>

        <table class="form-table" role="presentation">
            <tbody>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Headings</th>
                <td>
                    <label for="heading">
                        <select name="heading" id="heading">
                            <option value="Arial" <?php if($heading_font=='Arial')echo 'selected="selected"'; ?>>Arial</option>
                            <option value="Verdana" <?php if($heading_font=='Verdana')echo 'selected="selected"'; ?>>Verdana</option>
                            <option value="Helvetica" <?php if($heading_font=='Helvetica')echo 'selected="selected"'; ?>>Helvetica</option>
                            <option value="sans-serif" <?php if($heading_font=='sans-serif')echo 'selected="selected"'; ?>>Sans Serif</option>
                        </select>
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Text</th>
                <td>
                    <label for="text">
                        <select name="text" id="text">
                            <option value="Arial" <?php if($text_font=='Arial')echo 'selected="selected"'; ?>>Arial</option>
                            <option value="Verdana" <?php if($text_font=='Verdana')echo 'selected="selected"'; ?>>Verdana</option>
                            <option value="Helvetica" <?php if($text_font=='Helvetica')echo 'selected="selected"'; ?>>Helvetica</option>
                            <option value="sans-serif" <?php if($text_font=='sans-serif')echo 'selected="selected"'; ?>>Sans Serif</option>
                        </select>
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Button</th>
                <td>
                    <label for="button">
                        <select name="button" id="button">
                            <option value="Arial" <?php if($button_font=='Arial')echo 'selected="selected"'; ?>>Arial</option>
                            <option value="Verdana" <?php if($button_font=='Verdana')echo 'selected="selected"'; ?>>Verdana</option>
                            <option value="Helvetica" <?php if($button_font=='Helvetica')echo 'selected="selected"'; ?>>Helvetica</option>
                            <option value="sans-serif" <?php if($button_font=='sans-serif')echo 'selected="selected"'; ?>>Sans Serif</option>
                        </select>
                    </label>
                </td>
            </tr>
            <tr class="user-rich-editing-wrap">
                <th scope="row">Label</th>
                <td>
                    <label for="label">
                        <select name="label" id="label">
                            <option value="Arial" <?php if($label_font=='Arial')echo 'selected="selected"'; ?>>Arial</option>
                            <option value="Verdana" <?php if($label_font=='Verdana')echo 'selected="selected"'; ?>>Verdana</option>
                            <option value="Helvetica" <?php if($label_font=='Helvetica')echo 'selected="selected"'; ?>>Helvetica</option>
                            <option value="sans-serif" <?php if($label_font=='sans-serif')echo 'selected="selected"'; ?>>Sans Serif</option>
                        </select>
                    </label>
                </td>
            </tr>
            </tbody>
        </table>
        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Settings">
        </p>
    </form>
</div>
